org.apache.avro

## Enum SchemaCompatibility.SchemaIncompatibilityType

- java.lang.Object
- - java.lang.Enum<SchemaCompatibility.SchemaIncompatibilityType>
  - - org.apache.avro.SchemaCompatibility.SchemaIncompatibilityType

All Implemented Interfaces:
  Serializable, Comparable<SchemaCompatibility.SchemaIncompatibilityType>

Enclosing class:
  SchemaCompatibility

    public static enum SchemaCompatibility.SchemaIncompatibilityType
    extends Enum<SchemaCompatibility.SchemaIncompatibilityType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FIXED_SIZE_MISMATCH`
`MISSING_ENUM_SYMBOLS`
`MISSING_UNION_BRANCH`
`NAME_MISMATCH`
`READER_FIELD_MISSING_DEFAULT_VALUE`
`TYPE_MISMATCH`

### Method Summary

All Methods Static Methods Concrete Methods
`static SchemaCompatibility.SchemaIncompatibilityType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SchemaCompatibility.SchemaIncompatibilityType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NAME_MISMATCH

    public static final SchemaCompatibility.SchemaIncompatibilityType NAME_MISMATCH

#### FIXED_SIZE_MISMATCH

    public static final SchemaCompatibility.SchemaIncompatibilityType FIXED_SIZE_MISMATCH

#### MISSING_ENUM_SYMBOLS

    public static final SchemaCompatibility.SchemaIncompatibilityType MISSING_ENUM_SYMBOLS

#### READER_FIELD_MISSING_DEFAULT_VALUE

    public static final SchemaCompatibility.SchemaIncompatibilityType READER_FIELD_MISSING_DEFAULT_VALUE

#### TYPE_MISMATCH

    public static final SchemaCompatibility.SchemaIncompatibilityType TYPE_MISMATCH

#### MISSING_UNION_BRANCH

    public static final SchemaCompatibility.SchemaIncompatibilityType MISSING_UNION_BRANCH

### Method Detail

#### values

    public static SchemaCompatibility.SchemaIncompatibilityType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SchemaCompatibility.SchemaIncompatibilityType c : SchemaCompatibility.SchemaIncompatibilityType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SchemaCompatibility.SchemaIncompatibilityType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null